Skip to main content
POST
Identity match

Authorizations

Authorization
string
header
required

To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:

Headers

Accept-Version
string
default:v20260929
required

MX Platform API version.

Example:

"v20260929"

Path Parameters

user_identifier
string
required

Use either the user id you defined or the MX-defined user guid. See Assigning Resource IDs.

member_identifier
string
required

Use either the member id you defined or the MX-defined member guid. See Assigning Resource IDs.

Body

application/json
name
object
required

User's name. Can be personal (first, middle, last) or company, but not both.

address
object
required

User's address.

email
string
required

User's email address.

Example:

"john.doe@example.com"

phone_number
string
required

Phone number. Must contain at least 10 digits. Can include dashes, parentheses, and spaces.

Example:

"(555) 555-5555"

Response

200 - application/json

Identity match successfully processed.

identity_match
object

The confidence scores for an identity match. Identity match results aren't stored, so the response has no mx_record companion.